﻿@model List<EquipmentCardView>

<div id="TableItemsForm">
    <table class="table table-striped">
        <thead>
            <tr>
                <th><strong>@ServiceCall.ItemCode</strong></th>
                <th><strong>@ServiceCall.ItemName</strong></th>             
                <th><strong>@ServiceCall.SerialNumMFR</strong></th>
                <th><strong>@ServiceCall.SerialNum</strong></th>
                <th>&nbsp;</th>
            </tr>
        </thead>
        <tbody>
            @if (Model != null)
            {
                foreach (EquipmentCardView item in Model)
                {
                    <tr>
                        <td>@item.itemCode</td>
                        <td>@item.itemName</td>                       
                        <td>@item.manufSN</td>
                        <td>@item.internalSN</td>
                        <td>
                            <button type="button" class="btn btn-primary btn-xs" onclick="SetEquipment('@item.itemCode','@(item.itemName == null ? "" : item.itemName.Replace("'", "##"))','@item.manufSN','@item.internalSN');"><span class="glyphicon glyphicon-arrow-right"></span> @ServiceCall.Select</button>
                        </td>
                    </tr>
                }
            }
        </tbody>
    </table>
</div>
